Subject: [bug#72406] [PATCH emacs-team WIP v4 03/24] build-system: emacs: Define common variants.

From: Simon Tournier <[email-masked]>
Date: Tue, 03 Sep 2024 17:21:52 +0200

Hi Liliana,

On Sun, 11 Aug 2024 at 14:58, Liliana Marie Prikler <[email-masked]> wrote:

> +(define package-with-emacs-minimal
> +  (package-with-explicit-emacs (delay (resolve-emacs 'emacs-minimal))
> +                               "emacs-" "emacs-minimal-"
> +                               #:variant-property 'emacs-minimal-variant))

[...]

> +;; We prefer emacs-minimal, but sometimes the "minimal" variant still needs
> +;; X support.
> +(define package-with-emacs-no-x-toolkit
> +  (package-with-explicit-emacs (delay (resolve-emacs 'emacs-no-x-toolkit))
> +                               "emacs-" "emacs-no-x-toolkit-"))

I am not convince these are useful.  Why do I want to transform Emacs
packages for “compiling” them with the default Emacs “compiler”.

In order to keep the API clear, I would not provide them.  Nothing
prevent an user to create them if they really need them.

Cheers,
simon